<?php
require_once "header.php";
?>

<div class="mt-4 mb-4">
    <h1 class="display-4">Ajouter une équipe</h1>
</div>

<?php if (isset($new_team) && !$has_error) { ?>
    <div class="alert alert-success">
        Votre équipe a bien été créée ! Voici le code d'accès à transmettre aux autres membres de votre équipe :
        <strong><?= $new_team->access_code ?></strong>
    </div>
<?php } elseif ($_SESSION["team"] != NULL) { ?>
    <div class="alert alert-danger">
        Vous êtes déjà dans une équipe.
    </div>
<?php } else { ?>

    <form method="POST">
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="name">Nom (<em>Pas de caractères spéciaux</em>) :</label>
                <input class="form-control" type="text" id="name" name="name" pattern="[A-Za-zÀ-ÿ ]+"
                       value="<?php if (isset($new_team)) echo $new_team->name ?>" required/>
            </div>

            <div class="form-group col-md-6">
                <label for="trigram">Trigramme (<em>identifiant unique à trois lettres de l'équipe</em>) :</label>
                <input class="form-control" type="text" id="trigram" name="trigram"
                       value="<?php if (isset($new_team)) echo $new_team->trigram ?>" pattern="[A-Z]{3}" maxlength="3" required/>
            </div>
        </div>

        <div class="form-group row">
            <label for="tournament_id">Tournoi :</label>
            <select id="tournament_id" name="tournament_id" class="custom-select">
                <option value="0">Choisir un tournoi ...</option>
                <?php
                while (($data = $tournaments_response->fetch()) !== FALSE) {
                    echo "<option value=\"" . $data["id"] . "\">" . $data["name"] . "</option>\n";
                }
                ?>
            </select>
        </div>

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" name="add_team" type="submit" value="Ajouter une équipe"/>
        </div>
    </form>
<?php } ?>

<?php require_once "footer.php" ?>
