<?php
require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Mon compte</h1>
    </div>

<?php if (!$has_error && isset($send_document)) { ?>
    <div class="alert alert-success">
        Le fichier a été correctement envoyé !
    </div>
<?php } ?>

<?php
if (!$has_error && (isset($my_account) || isset($new_password))) {
    ?>
    <div class="alert alert-success">
        Votre compte a bien été mis à jour !
    </div>
    <?php
    if (isset($my_account) && $user->getEmail() != $my_account->email) { ?>
        <div class="alert alert-info">
            Votre adresse mail a bien été changée. Veuillez vérifier votre boîte mail pour valider votre nouvelle
            adresse, vous en aurez besoin pour vous reconnecter.
        </div>
    <?php } ?>
<?php } ?>

    <form method="POST">

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="surname">Nom :</label>
                <input class="form-control" type="text" id="surname" name="surname"
                       value="<?= $user->getSurname() ?>" required/>
            </div>

            <div class="form-group col-md-6">
                <label for="first_name">Prénom :</label>
                <input class="form-control" type="text" id="first_name" name="first_name"
                       value="<?= $user->getFirstName() ?>" required/>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="email">E-mail :</label>
                <input class="form-control" type="email" id="email" name="email"
                       value="<?= $user->getEmail() ?>"
                       required/>
            </div>
            <div class="form-group col-md-6">
                <label for="phone_number">Numéro de téléphone :</label>
                <input class="form-control" type="text" id="phone_number" name="phone_number"
                       value="<?= $user->getPhoneNumber() ?>"/>
            </div>
        </div>

        <?php if ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT) { ?>

            <div class="form-row">
                <div class="form-group col-md-6">
                    <label for="gender" class="mr-2">Sexe :</label>
                    <br/>
                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" class="custom-control-input" id="male" name="gender" value="M"
                               required <?= $user->getGender() == "M" ? "checked" : "" ?> />
                        <label for="male" class="custom-control-label">Homme</label>
                    </div>
                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" class="custom-control-input" id="female" name="gender" value="F"
                               required <?= $user->getGender() == "F" ? "checked" : "" ?> />
                        <label for="female" class="custom-control-label">Femme</label>
                    </div>
                </div>
                <div class="form-group col-md-6">
                    <label for="birth_date">Date de naissance :</label>
                    <input class="form-control" type="date" id="birth_date" name="birth_date"
                           value="<?= $user->getBirthDate() ?>" required/>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-5">
                    <label for="address">Adresse :</label>
                    <input class="form-control" type="text" id="address" name="address"
                           value="<?= $user->getAddress() ?>"/>
                </div>
                <div class="form-group col-md-2">
                    <label for="postal_code">Code postal :</label>
                    <input class="form-control" type="number" id="postal_code" name="postal_code"
                           value="<?= $user->getPostalCode() ?>" min="1000"
                           max="95999" required/>
                </div>
                <div class="form-group col-md-3">
                    <label for="city">Ville :</label>
                    <input class="form-control" type="text" id="city" name="city"
                           value="<?= $user->getCity() ?>"/>
                </div>
                <div class="form-group col-md-2">
                    <label for="country">Pays :</label>
                    <input class="form-control" type="text" id="country" name="country"
                           value="<?= $user->getCountry() ?>" required/>
                </div>
            </div>

        <?php } ?>

        <?php if ($user->getRole() == Role::PARTICIPANT) { ?>

            <div class="form-row">
                <div class="form-group col-md-6">
                    <label id="school_label" for="school">Établissement dans lequel l'élève étudie :</label>
                    <input class="form-control" type="text" id="school" name="school"
                           value="<?= $user->getSchool() ?>"/>
                </div>
                <div class="form-group col-md-6">
                    <label id="class_label" for="class">Classe :</label>
                    <select id="class" name="class" class="custom-select">
                        <option value="terminale" <?= $user->getClass() == SchoolClass::TERMINALE ? "selected" : "" ?>>
                            <?= SchoolClass::getTranslatedName(SchoolClass::TERMINALE) ?>
                        </option>
                        <option value="premiere" <?= $user->getClass() == SchoolClass::PREMIERE ? "selected" : "" ?>>
                            <?= SchoolClass::getTranslatedName(SchoolClass::PREMIERE) ?>
                        </option>
                        <option value="seconde" <?= $user->getClass() == SchoolClass::SECONDE ? "selected" : "" ?>>
                        <?= SchoolClass::getTranslatedName(SchoolClass::SECONDE) ?>
                        </option>
                    </select>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label id="responsible_name_label" for="responsible_name">Nom du responsable légal :</label>
                    <input class="form-control" type="text" id="responsible_name" name="responsible_name"
                           value="<?= $user->getResponsibleName() ?>"/>

                </div>
                <div class="form-group col-md-4">
                    <label id="responsible_phone_label" for="responsible_phone">Téléphone du responsable légal :</label>

                    <input class="form-control" type="text" id="responsible_phone" name="responsible_phone"
                           value="<?= $user->getResponsiblePhone() ?>"/>

                </div>
                <div class="form-group col-md-4">
                    <label id="responsible_email_label" for="responsible_email">Email du responsable légal :</label>

                    <input class="form-control" type="text" id="responsible_email" name="responsible_email"
                           value="<?= $user->getResponsibleEmail() ?>"/>

                </div>

            </div>

        <?php } else { ?>

            <div class="form-group row">
                <label id="description_label" for="description">Activité professionnelle :</label>
                <textarea class="form-control" id="description"
                          name="description"><?= $user->getDescription() ?></textarea>

            </div>

        <?php } ?>

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" name="update_account" type="submit" value="Mettre à jour mes données" />
        </div>
    </form>

    <div style="padding: 20px"></div>

    <form method="POST">

        <div class="form-row">
            <div class="form-group col-md-4">
                <label for="old_password">Ancien mot de passe :</label>
                <input class="form-control" type="password" id="old_password" name="old_password" required/>
            </div>

            <div class="form-group col-md-4">
                <label for="new_password">Nouveau mot de passe :</label>
                <input class="form-control" type="password" id="new_password" name="new_password" required/>
            </div>

            <div class="form-group col-md-4">
                <label for="confirm_password">Confirmer le mot de passe :</label>
                <input class="form-control" type="password" id="confirm_password" name="confirm_password" required/>
            </div>
        </div>

        <div class="form-group row">
            <input class="btn btn-secondary btn-lg btn-block" type="submit" name="update_password"
                   value="Mettre à jour mon mot de passe"/>
        </div>
    </form>

<?php if (isset($_SESSION["team"]) && ($user->getRole() == Role::PARTICIPANT || $user->getRole() == Role::ENCADRANT)) {
    $not_validated = $_SESSION["team"]->getValidationStatus() == ValidationStatus::NOT_READY;
    ?>
    <hr/>
    <div class="mt-4 mb-4">
        <h1 class="display-5">Mes documents</h1>
    </div>
    <?php if ($not_validated) { ?>
        <div class="alert alert-warning">
            Ces documents peuvent être modifiés tant que l'équipe n'est pas validée. Les fichiers doivent peser au maximum 2 Mo et doivent
            être au format PDF.
        </div>

        <div class="alert alert-info">
            <strong>Modèle de fiche sanitaire :</strong> <a href="/Fiche sanitaire.pdf">Télécharger</a><br />
            <?php if ($_SESSION["user"]->getBirthDate() > strval($YEAR - 18) . substr($tournament->getStartDate(), 4)) { ?>
                <strong>Modèle d'autorisation parentale :</strong> <a href="/Autorisation parentale.pdf">Télécharger</a>
                - <a href="/Autorisation parentale.pdf?blank=<?= $tournament->getName() ?>">Modèle vierge</a><br />
            <?php } ?>
            <strong>Modèle d'autorisation de droit à l'image :</strong> <a href="/Autorisation de droit à l'image.pdf">Télécharger</a>
            - <a href="/Autorisation de droit à l'image.pdf?blank=<?= $tournament->getName() ?>">Modèle vierge</a>
        </div>
    <?php } ?>
    <?php printDocuments($documents); ?>
    <?php if ($not_validated) { ?>
        <div class="alert alert-warning">
            Les fichiers doivent être au format PDF, PNG ou JPEG et peser moins de 2 Mo.
        </div>

        <form method="POST" enctype="multipart/form-data">

            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="type">Type de document</label>
                    <select class="custom-select" id="type" name="type">
                        <?php if ($_SESSION["user"]->getBirthDate() > strval($YEAR - 18) . substr($tournament->getStartDate(), 4)) { ?>
                            <option value="parental_consent">Autorisation parentale</option>
                        <?php } ?>
                        <option value="photo_consent">Autorisation de droit à l'image</option>
                        <option value="sanitary_plug">Fiche sanitaire</option>
                        <option value="motivation_letter">Lettre de motivation (pour toute l'équipe)</option>
                    </select>
                </div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-12">
                    <label for="document">Fichier :</label>
                    <input class="form-control" type="file" id="document" name="document" required/>
                </div>
            </div>

            <div class="form-group row">
                <input class="btn btn-primary btn-lg btn-block" type="submit" name="send_document"
                       value="Envoyer le document"/>
            </div>
        </form>
    <?php } ?>
<?php } ?>

<?php require_once "footer.php" ?>