<?php
require_once "header.php";
?>

    <div class="mt-4 mb-4">
        <h1 class="display-4">Mon équipe</h1>
    </div>

    <div class="alert alert-info">
        <strong>Nom de l'équipe :</strong> <?= $team->getName() ?>
    </div>
    <div class="alert alert-info">
        <strong>Trigramme :</strong> <?= $team->getTrigram() ?>
    </div>
    <div class="alert alert-info">
        <strong>Tournoi :</strong>
        <?= $tournament == null ? "Pas de tournoi attribué" : "<a href=\"/tournoi/" . $tournament->getName() . "\">" . $tournament->getName() . "</a>" ?>
    </div>
    <div class="alert alert-info">
        <?php
        for ($i = 1; $i <= 2; ++$i) {
            if ($team->getEncadrants()[$i - 1] == NULL)
                continue;
            $encadrant = User::fromId($team->getEncadrants()[$i - 1]);
            $id = $encadrant->getId();
            echo "<strong>Encadrant $i :</strong> <a href=\"/informations/$id/" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "\">" . $encadrant->getFirstName() . " " . $encadrant->getSurname() . "</a><br />";
        }
        for ($i = 1; $i <= 6; ++$i) {
            if ($team->getParticipants()[$i - 1] == NULL)
                continue;
            $participant = User::fromId($team->getParticipants()[$i - 1]);
            $id = $participant->getId();
            echo "<strong>Participant $i :</strong> <a href=\"/informations/$id/" . $participant->getFirstName() . " " . $participant->getSurname() . "\">" . $participant->getFirstName() . " " . $participant->getSurname() . "</a><br />";
        }
        ?>
    </div>

    <div class="alert alert-info">
        Code d'accès : <strong><?= $team->getAccessCode() ?></strong>
    </div>

<?php if ($team->isSelectedForFinal()) {
	$final_name = $FINAL->getName();
	echo "<div class=\"alert aler-success\">Équipe sélectionnée pour la <a href=\"/tournoi/$final_name\">finale nationale</a>.</div>";
} ?>

<?php if (isset($_GET["modifier"])) { ?>

    <form method="POST">
        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="name">Nom :</label>
                <input class="form-control" type="text" id="name" name="name" pattern="[A-Za-zÀ-ÿ ]+"
                       value="<?= $team->getName() ?>" required/>
            </div>

            <div class="form-group col-md-6">
                <label for="trigram">Trigramme :</label>
                <input class="form-control" type="text" id="trigram" name="trigram"
                       value="<?= $team->getTrigram() ?>" pattern="[A-Z]{3}" maxlength="3" required/>
            </div>
        </div>

        <div class="form-group row">
            <label for="tournament">Tournoi :</label>
            <select id="tournament" name="tournament_id" class="custom-select">
                <option value="0">Choisir un tournoi ...</option>
                <?php
                foreach ($tournaments as $tournament)
                    echo "<option value=\"" . $tournament->getId() . "\" "
                        . ($tournament->getId() == $team->getTournamentId() ? "selected" : "") . ">"
                        . $tournament->getName() . "</option>\n";
                ?>
            </select>
        </div>

        <div class="form-group row">
            <input class="btn btn-primary btn-lg btn-block" name="team_edit" type="submit"
                   value="Modifier l'équipe"/>
        </div>
    </form>

<?php } else { ?>

	<?php if ($_SESSION["team"]->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
        <!--suppress HtmlUnknownTarget -->
        <a href="/mon-equipe/modifier">
            <button class="btn btn-secondary btn-lg btn-block">Modifier mon équipe</button>
        </a>
	<?php } ?>
	<?php if ($team->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
        <hr/>

        <form method="POST">
            <input class="btn btn-primary btn-lg btn-block" type="submit" name="leave_team" style="background-color: #ff2e34"
                   value="Quitter l'équipe"/>
        </form>

		<?php
		$can_validate = canValidate($team, $tournament);
		if ($can_validate) { ?>
            <hr />
            <form method="post">
                <label for="engage">Je m'engage à participer à l'intégralité du TFJM²</label>
                <input type="checkbox" name="engage" id="engage" required/>
                <div class="alert alert-warning">
                    <strong>Attention !</strong> Une fois votre équipe validée, vous ne pourrez plus modifier le nom
                    de l'équipe, le trigramme ou la composition de l'équipe.
                </div>
                <input class="btn btn-primary btn-lg btn-block" type="submit" name="request_validation"
                       value="Demander la validation"/>
            </form>
		<?php } else { ?>
            <hr />
            <div class="alert alert-warning">
                Pour demander à valider votre équipe, vous devez avoir au moins un encadrant, quatre participants
                et soumis une autorisation de droit à l'image, une fiche sanitaire et une autorisation
                parentale (si besoin) par participant, ainsi qu'une lettre de motivation à transmettre aux organisateurs.
                Les encadrants doivent également fournir une autorisation de droit à l'image.
            </div>
		<?php } ?>
	<?php }
    elseif ($team->getValidationStatus() == ValidationStatus::WAITING) { ?>
        <div class="alert alert-warning">
            Votre équipe est en attente de validation.
        </div>
	<?php } ?>

    <hr />

    <h2>Documents de l'équipe</h2>
	<?php printDocuments($documents);

	if ($team->isSelectedForFinal()) { ?>
        <hr />

        <h2>Documents de l'équipe pour la finale</h2>

        <?php printDocuments($documents_final); ?>
	<?php } ?>
<?php } ?>

<?php require_once "footer.php" ?>