<?php
require_once "header.php";
?>

<div class="mt-4 mb-4">
    <h1 class="display-4">Liste des organisateurs</h1>
</div>

<hr />

    <table class="table table-striped table-bordered table-hover">
        <thead>
        <tr>
            <th scope="col">
                Nom
            </th>
            <th scope="col">
                Prénom
            </th>
            <th scope="col">
                Adresse e-mail
            </th>
            <th>
                Est administrateur
            </th>
        </tr>
        </thead>
        <tbody>
        <?php
        /** @var User $orga */
        foreach ($organizers as $orga) {
            ?>
            <tr>
                <td>
                    <a href="/informations/<?= $orga->getId() ?>/<?= $orga->getFirstName() . " " . $orga->getSurname() ?>">
                        <?= $orga->getSurname() ?>
                    </a>
                </td>
                <td>
                    <a href="/informations/<?= $orga->getId() ?>/<?= $orga->getFirstName() . " " . $orga->getSurname() ?>">
                        <?= $orga->getFirstName() ?>
                    </a>
                </td>
                <td>
                    <a href="mailto:<?= $orga->getEmail() ?>">
                        <?= $orga->getEmail() ?>
                    </a>
                </td>
                <td>
                    <?= $orga->getRole() == Role::ADMIN ? "oui" : "non" ?>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
        <tfoot>
        <tr>
            <th>
                Nom
            </th>
            <th>
                Prénom
            </th>
            <th>
                Adresse e-mail
            </th>
            <th>
                Est administrateur
            </th>
        </tr>
        </tfoot>
    </table>

<?php
require_once "footer.php";