<?php
require_once "header.php"
?>

	<div class="mt-4 mb-4">
		<h1 class="display-4">Paiement</h1>
	</div>

<?php

if ($payment->getValidationStatus() == ValidationStatus::NOT_READY) { ?>
    <div class="alert alert-warning">
        Le prix du tournoi est de  <?= $tournament->getPrice() ?> €. Vous pouvez par carte bancaire via
        <a href="https://www.helloasso.com/associations/animath/evenements/tfjm-2020">la plateforme dédiée</a>,
        et indiquer sur cette page les informations de paiement qui nous permettront de le retrouver.
        Si ce n'est pas possible, vous pouvez également procéder à un virement sur le compte :<br /><br />
        <strong>IBAN :</strong> FR76 1027 8065 0000 0206 4290 127<br />
        <strong>BIC :</strong> CMCIFR2A<br /><br />
        en précisant bien en référence du virement la mention <strong>TFJMpu</strong> suivie des nom et prénom de l'élève.<br /><br />
        Si aucune de ces procédures n’est possible pour vous, envoyez un mail à <a href="mailto:contact@tfjm.org">contact@tfjm.org</a>
        pour que nous trouvions une solution à vos difficultés.
    </div>

    <div class="alert alert-info">
        <form method="POST" enctype="multipart/form-data">
            <label for="method"><strong>Mode de paiement :</strong></label>
            <select class="custom-select" id="method" name="method" onchange="displayInfos()">
                <?php
                for ($method = PaymentMethod::NOT_PAID; $method <= PaymentMethod::SCHOLARSHIP; ++$method) {
                    if ($method == PaymentMethod::CASH || $method == PaymentMethod::BANK_CHECK)
                        continue;
                    ?>
                    <option value="<?= strtolower(PaymentMethod::getName($method)) ?>"><?= PaymentMethod::getTranslatedName($method) ?></option>
                <?php } ?>
            </select>
            <label id="infos_label" for="infos"><strong>Informations sur le paiement :</strong></label>
            <textarea class="form-control" name="infos" id="infos"></textarea>
            <label id="scholarship_label" for="scholarship"><strong>Notification de bourse :</strong></label>
            <input type="file" class="form-control" name="scholarship" id="scholarship" />
            <input class="btn btn-primary btn-block" type="submit" name="pay" value="Envoyer" />
        </form>
    </div>

    <script>
        function displayInfos() {
            console.log("value = " + document.getElementById("method").value);
            switch (document.getElementById("method").value) {
                case "scholarship":
                    document.getElementById("scholarship_label").style.display = "block";
                    document.getElementById("scholarship").style.display = "block";
                    document.getElementById("scholarship").require = "true";
                    document.getElementById("infos_label").style.display = "none";
                    document.getElementById("infos").style.display = "none";
                    document.getElementById("infos").require = "false";
                    break;
                default:
                    document.getElementById("scholarship_label").style.display = "none";
                    document.getElementById("scholarship").style.display = "none";
                    document.getElementById("scholarship").require = "false";
                    document.getElementById("infos_label").style.display = "block";
                    document.getElementById("infos").style.display = "block";
                    document.getElementById("infos").require = "true";
                    break;
            }
        }

        displayInfos();
    </script>
<?php } else {
    if ($payment->getValidationStatus() == ValidationStatus::WAITING) { ?>
        <div class="alert alert-warning">
            Votre paiement est en attente de validation.
        </div>
    <?php } else { ?>
        <div class="alert alert-success">
            Votre paiement a bien été validé.
        </div>
    <?php } ?>

    <div class="alert alert-info">
        <strong>Récapitulatif du paiement :</strong><br /><br />

        <strong>Tournoi :</strong> <?= $tournament->getName() ?><br />
        <strong>Montant :</strong> <?= $payment->getAmount() ?> €<br />
        <strong>Moyen de paiement :</strong> <?= PaymentMethod::getTranslatedName($payment->getMethod()) ?><br />
        <?php if ($payment->getMethod() == PaymentMethod::SCHOLARSHIP) { ?>
            <strong>Notification de bourse :</strong> <a href="/file/<?= $payment->getTransactionInfos() ?>">Télécharger</a><br />
        <?php } else { ?>
            <strong>Informations sur le paiement :</strong> <?= $payment->getTransactionInfos() ?><br />
        <?php } ?>
    </div>

<?php }

require_once "footer.php";