<?php require_once "header.php" ?>

<div class="mt-4 mb-4">
	<h1 class="display-4">Tournoi de <?= $tournament->getName() ?></h1>
</div>

<div class="alert alert-info">
    <strong>Instructions :</strong> <a href="/Instructions.pdf?blank=<?= $tournament->getName() ?>">Télécharger</a><br />
	<strong>Autorisation de droit à l'image - majeur :</strong> <a href="/Autorisation de droit à l'image.pdf?blank=<?= $tournament->getName() ?>">Télécharger</a><br />
	<strong>Autorisation de droit à l'image - mineur :</strong> <a href="/Autorisation de droit à l'image.pdf?mineur&blank=<?= $tournament->getName() ?>">Télécharger</a><br />
	<strong>Autorisation parentale :</strong> <a href="/Autorisation parentale.pdf?blank=<?= $tournament->getName() ?>">Télécharger</a><br />
	<strong>Fiche sanitaire :</strong> <a href="/Fiche sanitaire.pdf?blank=<?= $tournament->getName() ?>">Télécharger</a>
</div>

<div class="alert alert-info">
    <strong>Organisateur<?= sizeof($orgas) >= 2 ? 's' : '' ?> :</strong>
    <?php
    $s = "";
    /** @var User $orga */
    foreach ($orgas as $orga) {
        $orga_id = $orga->getId();
        $orga_name = $orga->getFirstName() . " " . $orga->getSurname();
        if ($_SESSION["role"] == Role::ORGANIZER || $_SESSION["role"] == Role::ADMIN)
            $s .= "<a href=\"/informations/$orga_id/$orga_name\">$orga_name</a>";
        else
            $s .= $orga_name;
        $s .= ", ";
    }
    echo substr($s, 0, -2);
    ?>
</div>
<div class="alert alert-info">
    <strong>Nombre d'équipes maximal :</strong> <?= $tournament->getSize() ?>
</div>
<div class="alert alert-info">
    <strong>Lieu :</strong> <?= $tournament->getPlace() ?>
</div>
<div class="alert alert-info">
    <strong>Prix par partipant :</strong> <?= $tournament->getPrice() == 0 ? "Gratuit" : $tournament->getPrice() . " €" ?>
</div>
<div class="alert alert-info">
    <strong>Dates :</strong> Du <?= formatDate($tournament->getStartDate()) ?> au <?= formatDate($tournament->getEndDate()) ?>
</div>
<div class="alert alert-info">
    <strong>Clôture des inscriptions :</strong> <?= formatDate($tournament->getInscriptionDate(), true) ?>
</div>
<div class="alert alert-info">
    <strong>Date limite d'envoi des solutions :</strong> <?= formatDate($tournament->getSolutionsDate(), true) ?>
</div>
<div class="alert alert-info">
    <strong>Date limite d'envoi des notes de synthèse :</strong> <?= formatDate($tournament->getSynthesesDate(), true) ?>
</div>
<div class="alert alert-info">
    <strong>Description :</strong> <?= $tournament->getDescription() ?>
</div>
<?php
if ($tournament->isFinal())
	echo "<div class=\"alert alert-info\">\n\t<strong>Ce tournoi est la finale nationale du TFJM² 2020.</strong>\n</div>\n";
?>

<?php if (!isset($_GET["modifier"]) && ($_SESSION["role"] == Role::ADMIN || $_SESSION["role"] == Role::ORGANIZER && $tournament->organize($_SESSION["user_id"]))) { ?>
    <a href="/tournoi/<?= $tournament->getName() ?>/modifier"><button class="btn btn-secondary btn-lg btn-block">Éditer le tournoi</button></a>
<?php } ?>


<?php if (!isset($_GET["modifier"])) { ?>
	<hr/>

	<h2>Équipes inscrites à ce tournoi :</h2>

	<table class="table table-striped table-bordered table-hover">
		<thead>
		<tr>
			<th>
				Équipe
			</th>
			<th>
				Trigramme
			</th>
			<th>
				Date d'inscription
			</th>
			<th>
				État de validation de l'inscription
			</th>
		</tr>
		</thead>
		<tbody>
		<?php
        /** @var Team $team */
		foreach ($teams as $team) {
			?>
			<tr>
				<td>
					<?php
					if (isset($_SESSION["role"]) && ($_SESSION["role"] == Role::ADMIN || ($_SESSION["role"] == Role::ORGANIZER && $tournament->organize($_SESSION["user_id"]))))
						echo "<a href=\"/equipe/" . $team->getTrigram() . "\">" . $team->getName(). "</a>";
					else
						echo $team->getName();
					?>
				</td>
				<td><?= $team->getTrigram() ?></td>
				<td><?= formatDate($team->getInscriptionDate()) ?></td>
				<td><?= ValidationStatus::getTranslatedName($team->getValidationStatus()) ?></td>
			</tr>
			<?php
		}
		?>
		</tbody>
		<tfoot>
		<tr>
			<th>
				Équipe
			</th>
			<th>
				Trigramme
			</th>
			<th>
				Date d'inscription
			</th>
			<th>
				État de validation de l'inscription
			</th>
		</tr>
		</tfoot>
	</table>

	<?php
}
else {
	?>
	<form method="POST">
        <div class="form-row">
            <label for="name">Nom :</label>
            <input class="form-control" type="text" id="name" name="name" value="<?= $tournament->getName() ?>" required/>
        </div>
        <?php if ($_SESSION["role"] == Role::ADMIN) { ?>
            <div class="form-row">
                <label for="organizers">Organisateur·s :</label>
                <select class="custom-select" id="organizers" name="organizers[]" multiple size="4" required>
                    <?php
                    foreach (User::getOrganizers() as $orga) {
                        echo "<option value=\"" . $orga->getId() . "\" " . ($tournament->organize($orga->getId()) ? "selected" : "")
                            . ">" . $orga->getFirstName() . " " . $orga->getSurname() . "</option>\n";
                    }
                    ?>
                </select>
            </div>
        <?php } ?>

        <div class="form-row">
            <div class="form-group col-md-4">
                <label for="size">Nombre d'équipes :</label>
                <input class="form-control" type="number" id="size" name="size" min="3" max="12" value="<?= $tournament->getSize() ?>" required/>
            </div>

            <div class="form-group col-md-4">
                <label for="place">Lieu :</label>
                <input class="form-control" type="text" id="place" name="place" value="<?= $tournament->getPlace() ?>" required/>
            </div>

            <div class="form-group col-md-4">
                <label for="price">Prix par participant</label>
                <input class="form-control" type="number" id="price" name="price" min="0" max="50" value="<?= $tournament->getPrice() ?>" required />
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-6">
                <label for="date_start">Date de début de tournoi :</label>
                <input class="form-control" type="date" id="date_start" name="date_start" value="<?= $tournament->getStartDate() ?>" required />
            </div>

            <div class="form-group col-md-6">
                <label for="date_end">Date de fin de tournoi :</label>
                <input class="form-control" type="date" id="date_end" name="date_end" value="<?= $tournament->getEndDate() ?>" required />
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-4">
                <label for="date_inscription">Date limite d'inscription :</label>
                <input class="form-control" type="date" id="date_inscription" name="date_inscription" value="<?= substr($tournament->getInscriptionDate(), 0, 10) ?>" required />
                <input class="form-control" type="time" id="time_inscription" name="time_inscription" value="<?= substr($tournament->getInscriptionDate(), 11) ?>" required />
            </div>

            <div class="form-group col-md-4">
                <label for="date_solutions">Date limite pour rendre les solutions :</label>
                <input class="form-control" type="date" id="date_solutions" name="date_solutions" value="<?= substr($tournament->getSolutionsDate(), 0, 10) ?>" required />
                <input class="form-control" type="time" id="time_solutions" name="time_solutions" value="<?= substr($tournament->getSolutionsDate(),11) ?>" required />
            </div>

            <div class="form-group col-md-4">
                <label for="date_syntheses">Date limite pour rendre les notes de synthèse :</label>
                <input class="form-control" type="date" id="date_syntheses" name="date_syntheses"
                       value="<?= substr($tournament->getSynthesesDate(), 0, 10) ?>" required/>
                <input class="form-control" type="time" id="time_syntheses" name="time_syntheses"
                       value="<?= substr($tournament->getSynthesesDate(), 11) ?>" required/>
            </div>
        </div>

        <div class="form-row">
            <div class="form-group col-md-12">
                <label for="description">Description :</label>
                <textarea class="form-control" name="description" id="description" required><?= $tournament->getDescription() ?></textarea>
            </div>
        </div>

        <input class="btn btn-primary btn-lg btn-block" type="submit" name="edit_tournament" value="Modifier le tournoi" />
	</form>
<?php } ?>

<?php require_once "footer.php" ?>

